SpellCheckResponse (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.SpellCheckResponse class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class SpellCheckResponse

    java.lang.Object
      org.apache.solr.client.solrj.response.SpellCheckResponse

    public class SpellCheckResponse

extends Object

Encapsulates responses from SpellCheckComponent

Since:
  solr 1.3
Version:
  $Id: SpellCheckResponse.java 1203119 2011-11-17 09:00:42Z simonw $

Nested Class Summary
`class` | `SpellCheckResponse.Collation`
`class` | `SpellCheckResponse.Correction`
`static class` | `SpellCheckResponse.Suggestion`

Constructor Summary
`SpellCheckResponse(NamedList<Object> spellInfo)`

Method Summary
`String` | `getCollatedResult()` Return the first collated query string.
`List<SpellCheckResponse.Collation>` | `getCollatedResults()` Return all collations.
`String` | `getFirstSuggestion(String token)`
`SpellCheckResponse.Suggestion` | `getSuggestion(String token)`
`Map<String,SpellCheckResponse.Suggestion>` | `getSuggestionMap()`
`List<SpellCheckResponse.Suggestion>` | `getSuggestions()`
`boolean` | `isCorrectlySpelled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellCheckResponse

    public SpellCheckResponse(NamedList<Object> spellInfo)

Method Detail

### isCorrectlySpelled

    public boolean isCorrectlySpelled()

### getSuggestions

    public List<SpellCheckResponse.Suggestion> getSuggestions()

### getSuggestionMap

    public Map<String,SpellCheckResponse.Suggestion> getSuggestionMap()

### getSuggestion

    public SpellCheckResponse.Suggestion getSuggestion(String token)

### getFirstSuggestion

    public String getFirstSuggestion(String token)

### getCollatedResult

    public String getCollatedResult()

  Return the first collated query string. For convenience and backwards-compatibility. Use getCollatedResults() for full data.

  Returns:
    first collated query string

### getCollatedResults

    public List<SpellCheckResponse.Collation> getCollatedResults()

  Return all collations. Will include # of hits and misspelling-to-correction details if "spellcheck.collateExtendedResults was true.

  Returns:
    all collations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD